#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import sys
sys.path.append('..')

from tuikit.common import *

XSel = make_select('left', 'right', 'bottom', 'top')
print(XSel)

sel = XSel()
print('XSel().selected:', sel.selected)

try:
    sel.update('center')
except ValueError as e:
    print('Error:', e)

try:
    pure_sel = Select()
except TypeError as e:
    print('Error:', e)

